Update a work entry in the employee's work history table.

This endpoint updates an entry in the employee’s work history table.
The unique identifier for the work entry is the site and effective date.

Note that the entire work entry will be overwritten with the data provided in your payload. Any columns not included in the payload will be cleared (set to empty values).

Patch Update Flag:
As a best practice, we recommend reading the entire work entry data, updating the necessary fields, and then writing back the entire entry. However, for legacy purposes, we provide the flag: patchUpdate=true, which functions similarly to a PATCH request.
When using this flag, please note:
1. Only the fields included in the payload will be updated; all others will remain unchanged.
2. The identifier for the work entry should be entry_id, not the site/effective date.
3. Note that using the patchUpdate approach is not recommended and should be reserved for legacy implementations only.

Path Params
string
required

The ID of the employee you are updating. This can be the Employee ID from the URL in the user interface or the id field returned when retrieving an employee's data.

integer
required

The ID of the entry in the work table which you are updating. To obtain the work entry use the GET /people/{id}/work endpoint.

Body Params
integer

The ID of the work entry.

string

The reason for this change.

date
required

The date this entry becomes effective. This is a mandatory field for a work entry.

string

The job title of the employee for this work entry. This field should contain the ID of the job title entry from the job title list.

string

The department the employee belonged to for this work entry. This field should contain the ID of the department entry in department list.

string

The site of the employee. This is a mandatory field for a work entry (you must pass either the site or the siteId).

integer

The id of the site of the employee. This is a mandatory field for a work entry (you must pass either the site or the siteId).

reportsTo
object

The manager's details.

Responses
200

Entry updated successfully.

404

Requested entry not found. Nothing was changed

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!